/*******************************************************************************
 * Copyright (c) 2004 BlueOxygen Technology.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the BlueOxygen Software License v1.0
 * which accompanies this distribution, and is available at
 *
 * Contributors:
 *     BlueOxygen Team - initial API and implementation
 *******************************************************************************/

package org.blueoxygen.cimande.company.actions;

import org.blueoxygen.cimande.company.Company;

/**
 * @author Gurki
 * 
 *         TODO To change the template for this generated type comment go to
 *         Window - Preferences - Java - Code Style - Code Templates
 */
public class EditCompanyLoad extends CompanyForm {

	public String execute() {
		Company company = service.getCompanyById(getId());
		rootModel = company;

		if (company == null) {
			addActionError("Cannot find such company");
			return ERROR;
		} else {

			setName(company.getName());
			setAddress(company.getAddress());
			setState(company.getState());
			setZip_number(company.getZip_number());
			setTelephone(company.getTelephone());
			setFaximile(company.getFaximile());
			setWebsite(company.getWebsite());
			setEmail(company.getEmail());

			return SUCCESS;
		}

	}

}