/*******************************************************************************
 * Copyright (c) 2004 BlueOxygen Technology.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the BlueOxygen Software License v1.0
 * which accompanies this distribution, and is available at
 *
 * Contributors:
 *     BlueOxygen Team - initial API and implementation
 *******************************************************************************/

package org.blueoxygen.cimande.company.actions;

import java.util.List;
import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.descriptors.service.DescriptorService;
import org.springframework.beans.factory.annotation.Autowired;

/*******************************
 * @author Praditya Eldorado 
 *         aldo.donal@gmail.com
 *******************************/

public class ListCompany extends CimandeAction {

	private List descriptors;
	protected @Autowired
	DescriptorService service;

	public String execute() {
		descriptors = service.getAllDescriptors(ob.name());
		model.put("descriptorlist", descriptors);

		return SUCCESS;

	}

	public List getDescriptors() {
		return descriptors;
	}
}
