package org.blueoxygen.cimande.descriptors.service;

import java.util.List;

import org.blueoxygen.cimande.descriptors.Descriptor;

/*******************************
 * @author Praditya Eldorado 
 *         aldo.donal@gmail.com
 *******************************/

public interface DescriptorService {
	void save(Descriptor des);

	void delete(Descriptor des);

	Descriptor getDescriptorById(String id);

	List<Descriptor> getAllDescriptors(String orderby);

	List<Descriptor> findDescriptors(String name, String description,
			String orderby, int maxResults, int firstResult);

	List<Descriptor> findDescriptorsByField(String field, String value);

	int getRowCountByCriteria(String name, String description);
}
