/*******************************************************************************
 * Copyright (c) 2004 BlueOxygen Technology.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the BlueOxygen Software License v1.0
 * which accompanies this distribution, and is available at
 *
 * Contributors:
 *     BlueOxygen Team - initial API and implementation
 *******************************************************************************/

package org.blueoxygen.cimande.jobdescription.actions;

import java.util.List;

import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.jobdescription.service.JobdescriptionServis;
import org.springframework.beans.factory.annotation.Autowired;

/*******************************
 * @author Praditya Eldorado 
 *         aldo.donal@gmail.com
 *******************************/

public class ListJobDesc extends CimandeAction {

	private List jobDescs;
	protected @Autowired
	JobdescriptionServis service;

	public String execute() {
		jobDescs = service.getAllJobDescs(ob.name());

		model.put("jobdesclist", jobDescs);

		return SUCCESS;

	}

	public List getJobDescs() {
		return jobDescs;
	}

	public void setJobDescs(List jobDescs) {
		this.jobDescs = jobDescs;
	}

}
