package org.blueoxygen.cimande.password;

import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.security.SessionCredentials;
import org.blueoxygen.cimande.security.User;
import org.blueoxygen.cimande.security.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;

/*******************************
 * @author Praditya Eldorado 
 *         aldo.donal@gmail.com
 *******************************/

public class PasswordForm extends CimandeAction {
	private String id = "";
	private String msg = "";
	private String currPassword = "";
	private String newPassword = "";
	private String verifyPassword = "";
	protected SessionCredentials sess;
	User user = new User();
	protected @Autowired
	UserService service;

	public String execute() {
		if (getCurrentUser() != null) {
			user = getCurrentUser();
		}

		model.put("user", user);

		return SUCCESS;
	}

	public void setSessionCredentials(SessionCredentials sessionCredentials) {
		this.sess = sessionCredentials;
	}

	/**
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * @return the msg
	 */
	public String getMsg() {
		return msg;
	}

	/**
	 * @param msg
	 *            the msg to set
	 */
	public void setMsg(String msg) {
		this.msg = msg;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public String getNewPassword() {
		return newPassword;
	}

	public void setNewPassword(String newPassword) {
		this.newPassword = newPassword;
	}

	public String getVerifyPassword() {
		return verifyPassword;
	}

	public void setVerifyPassword(String verifyPassword) {
		this.verifyPassword = verifyPassword;
	}

	/**
	 * @return the currPassword
	 */
	public String getCurrPassword() {
		return currPassword;
	}

	/**
	 * @param currPassword
	 *            the currPassword to set
	 */
	public void setCurrPassword(String currPassword) {
		this.currPassword = currPassword;
	}
}
