/**
 *
 */
package org.blueoxygen.cimande.security.rsp.actions;

import java.util.ArrayList;
import java.util.List;
import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.modulefunction.ModuleFunction;
import org.blueoxygen.cimande.role.RolePrivilage;
import org.blueoxygen.cimande.role.RoleSite;
import org.blueoxygen.cimande.role.RoleSitePrivilage;
import org.blueoxygen.cimande.roleprivilage.service.RolePrivilageService;
import org.blueoxygen.cimande.rolesite.service.ServiceRoleSite;
import org.blueoxygen.cimande.rolesiteprivilage.service.RoleSitePrivilageService;
import org.springframework.beans.factory.annotation.Autowired;

/*******************************
 * @author Praditya Eldorado 
 *         aldo.donal@gmail.com
 *******************************/

public class ViewMod extends CimandeAction {
	private List<ModuleFunction> mfunctions = new ArrayList<ModuleFunction>();
	private RoleSite roleSite = new RoleSite();
	protected @Autowired
	ServiceRoleSite rsService;
	protected @Autowired
	RolePrivilageService rpService;
	protected RoleSitePrivilageService rspService;

	public String execute() {
		List<RoleSitePrivilage> rsps = new ArrayList<RoleSitePrivilage>();
		List<RolePrivilage> rps = new ArrayList<RolePrivilage>();
		if (roleSite.getId() != null && !"".equalsIgnoreCase(roleSite.getId())) {
			roleSite = rsService.getRoleSiteById(roleSite.getId());
			rps = rpService.getList(roleSite.getRole().getId(), 1);
			for (RolePrivilage rp : rps) {
				mfunctions.add(rp.getModuleFunction());
			}
			rsps = manager.getList("FROM " + RoleSitePrivilage.class.getName()
					+ " rsp " + "WHERE rsp.roleSite.id='"
					+ getRoleSite().getId() + "' "
					+ "AND rsp.logInformation.activeFlag=1", null, null);
			// rsps = rspService.getList(roleSite.getId(), 1);
			for (RoleSitePrivilage rsp : rsps) {
				mfunctions.remove(rsp.getModuleFunction());
			}

		}
		return SUCCESS;
	}

	public List<ModuleFunction> getMfunctions() {
		return mfunctions;
	}

	public void setMfunctions(List<ModuleFunction> mfunctions) {
		this.mfunctions = mfunctions;
	}

	public RoleSite getRoleSite() {
		return roleSite;
	}

	public void setRoleSite(RoleSite roleSite) {
		this.roleSite = roleSite;
	}

}
