package org.blueoxygen.cimande.security.usermanager.actions;

import org.blueoxygen.cimande.role.Role;
import org.blueoxygen.cimande.role.UserRole;
import org.blueoxygen.cimande.security.User;

/*******************************
 * @author Praditya Eldorado
 * 		   aldo.donal@gmail.com
 *******************************/

public class AddUserRole extends UserForm {
	private Role role = new Role();
	private User user = new User();

	public String execute() {
		UserRole ur = new UserRole();

		if (role.getId() != null && !"".equalsIgnoreCase(role.getId())) {
			role = wfservice.getRoleById(role.getId());
			if (user.getId() != null && !"".equalsIgnoreCase(user.getId())) {
				user = service.getUserbyId(user.getId());
				if (user.getRole() == null) {
					user.setRole(role);
					if (user.getWorkspace_type().equalsIgnoreCase("")) {
						user.setWorkspace_type(role.getWorkspace_type());
					}
					service.save(user);
				}else{
					user.setRole(role);
					if (user.getWorkspace_type().equalsIgnoreCase("")) {
						user.setWorkspace_type(role.getWorkspace_type());
					}
					service.save(user);
				}

			}
			ur.setUser(user);
			ur.setRole(role);
			ursevice.save(ur);
		}
		return SUCCESS;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}

}