package org.blueoxygen.cimande.security.usermanager.actions;

import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.company.Company;
import org.blueoxygen.cimande.jobdescription.JobDesc;
import org.blueoxygen.cimande.role.actions.servicewfrole.ServiceUserRole;
import org.blueoxygen.cimande.role.actions.servicewfrole.ServiceWfRole;
import org.blueoxygen.cimande.security.Address;
import org.blueoxygen.cimande.security.Name;
import org.blueoxygen.cimande.security.User;
import org.blueoxygen.cimande.security.user.service.UserService;
import org.blueoxygen.cimande.security.usermanager.UserSite;
import org.blueoxygen.cimande.security.usermanager.service.UserSiteService;
import org.springframework.beans.factory.annotation.Autowired;

/*******************************
 * @author Praditya Eldorado 
 *         aldo.donal@gmail.com
 *******************************/

public class UserForm extends CimandeAction {
	protected User user = new User();
	private UserSite userSite = new UserSite();
	private User userFlat = new User();
	private Address address = new Address();
	private Name name = new Name();
	private JobDesc job = new JobDesc();
	private Company company = new Company();
	private String workType = "";
	private String newPassword = "";
	private String newPassword1 = "";

	protected @Autowired
	UserService service;
	protected @Autowired
	ServiceWfRole wfservice;
	protected @Autowired
	ServiceUserRole ursevice;
	protected @Autowired
	UserSiteService usService;
	@Autowired
	protected UserService userService;

	public String execute() {

		if (getUser().getId() != null
				&& !"".equalsIgnoreCase(getUser().getId())) {
			user = service.getUserbyId(user.getId());
		}
		userFlat = getCurrentUser();
		if (userFlat.getWorkspace_type().equalsIgnoreCase("flat")) {
			workType = "flat";
		} else {
			workType = "";
		}
		model.put("userflat", userFlat);
		return SUCCESS;
	}

	public String loadPassword() {
		user = service.getUserbyId(user.getId());

		return SUCCESS;
	}

	public UserSite getUserSite() {
		return userSite;
	}

	public void setUserSite(UserSite userSite) {
		this.userSite = userSite;
	}

	public String getNewPassword() {
		return newPassword;
	}

	public void setNewPassword(String newPassword) {
		this.newPassword = newPassword;
	}

	public String getNewPassword1() {
		return newPassword1;
	}

	public void setNewPassword1(String newPassword1) {
		this.newPassword1 = newPassword1;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public User getUserFlat() {
		return userFlat;
	}

	public void setUserFlat(User userFlat) {
		this.userFlat = userFlat;
	}

	public Address getAddress() {
		return address;
	}

	public void setAddress(Address address) {
		this.address = address;
	}

	public Name getName() {
		return name;
	}

	public void setName(Name name) {
		this.name = name;
	}

	public JobDesc getJob() {
		return job;
	}

	public void setJob(JobDesc job) {
		this.job = job;
	}

	public Company getCompany() {
		return company;
	}

	public void setCompany(Company company) {
		this.company = company;
	}

	public String getWorkType() {
		return workType;
	}

	public void setWorkType(String workType) {
		this.workType = workType;
	}

}