package org.blueoxygen.cimande.security.usermanager.actions;

import java.util.ArrayList;
import java.util.List;

import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.role.Role;
import org.blueoxygen.cimande.role.UserRole;
import org.blueoxygen.cimande.role.actions.servicewfrole.ServiceUserRole;
import org.blueoxygen.cimande.security.User;
import org.blueoxygen.cimande.security.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;

/*******************************
 * @author Praditya Eldorado 
 *         aldo.donal@gmail.com
 *******************************/

public class UserRoleForm extends CimandeAction {

	private User user = new User();
	private Role role = new Role();
	private UserRole userRole = new UserRole();
	private List<UserRole> userRoles = new ArrayList<UserRole>();
	protected @Autowired
	ServiceUserRole service;
	protected @Autowired
	UserService userService;

	public String execute() {
		if (getUser().getId() != null
				&& !"".equalsIgnoreCase(getUser().getId())) {
			setUser((User) manager.getById(User.class, getUser().getId()));
			setUserRoles(manager.getList("FROM " + UserRole.class.getName()
					+ " ur WHERE ur.user.id='" + getUser().getId() + "'", null,
					null));
		}

		model.put("user", user);
		model.put("userrolelist", getUserRoles());

		return SUCCESS;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}

	public UserRole getUserRole() {
		return userRole;
	}

	public void setUserRole(UserRole userRole) {
		this.userRole = userRole;
	}

	public List<UserRole> getUserRoles() {
		return userRoles;
	}

	public void setUserRoles(List<UserRole> userRoles) {
		this.userRoles = userRoles;
	}

	// public PersistenceManager getManager() {
	// return manager;
	// }
	// public GenericPersistenceManager getManager() {
	// return manager;
	// }
}
