package org.blueoxygen.cimande.sitemanager.yuitree;

public class TreeNode {
	private String id = "";
	private boolean allowChildren = true;
	private boolean allowDrag = true;
	private boolean allowDrop = true;
	private String cls = "";
	private boolean draggable = false;
	private String href = "javascript: void(0);";
	private String hrefTarget = "";
	private boolean leaf = false;
	private String text = "";

	public TreeNode() {

	}

	public TreeNode(String id, String text, boolean leaf) {
		this.id = id;
		this.text = text;
		this.leaf = leaf;

		if (leaf) {
			cls = "folder";
		} else {
			cls = "file";
		}
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public boolean isAllowChildren() {
		return allowChildren;
	}

	public void setAllowChildren(boolean allowChildren) {
		this.allowChildren = allowChildren;
	}

	public boolean isAllowDrag() {
		return allowDrag;
	}

	public void setAllowDrag(boolean allowDrag) {
		this.allowDrag = allowDrag;
	}

	public boolean isAllowDrop() {
		return allowDrop;
	}

	public void setAllowDrop(boolean allowDrop) {
		this.allowDrop = allowDrop;
	}

	public String getCls() {
		return cls;
	}

	public void setCls(String cls) {
		this.cls = cls;
	}

	public boolean isDraggable() {
		return draggable;
	}

	public void setDraggable(boolean draggable) {
		this.draggable = draggable;
	}

	public String getHref() {
		return href;
	}

	public void setHref(String url) {
		this.href = url;
	}

	public String getHrefTarget() {
		return hrefTarget;
	}

	public void setHrefTarget(String hrefTarget) {
		this.hrefTarget = hrefTarget;
	}

	public boolean isLeaf() {
		return leaf;
	}

	public void setLeaf(boolean leaf) {
		this.leaf = leaf;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

}
