/*******************************************************************************
 * Copyright (c) 2004 BlueOxygen Technology.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the BlueOxygen Software License v1.0
 * which accompanies this distribution, and is available at
 *
 * Contributors:
 *     BlueOxygen Team - initial API and implementation
 *******************************************************************************/

package org.blueoxygen.cimande.company.actions;

import org.blueoxygen.cimande.company.Company;

/**
 * @author Gurki
 */

public class EditCompany extends CompanyForm {

	public String execute() {
		Company company = service.getCompanyById(getId());

		company.setName(getName());
		company.setAddress(getAddress());
		company.setState(getState());
		company.setZip_number(getZip_number());
		company.setTelephone(getTelephone());
		company.setFaximile(getFaximile());
		company.setWebsite(getWebsite());
		company.setEmail(getEmail());
		if (hasErrors()) {
			return INPUT;
		} else {
			service.save(company);
			return SUCCESS;
		}
	}

}