/*******************************************************************************
 * Copyright (c) 2004 BlueOxygen Technology.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the BlueOxygen Software License v1.0
 * which accompanies this distribution, and is available at
 *
 * Contributors:
 *     BlueOxygen Team - initial API and implementation
 *******************************************************************************/

package org.blueoxygen.cimande.descriptors.actions;

import org.blueoxygen.cimande.descriptors.Descriptor;


/*******************************
 * @author Praditya Eldorado
 * 		   aldo.donal@gmail.com
 *******************************/

public class EditDescriptor extends DescriptorForm {

	private Descriptor des;

	public String execute() {
		des = service.getDescriptorById(getId());
		des.setName(getName());
		des.setDescription(getDescription());
		des.setUrlDescriptor(getUrlDescriptor());
		des.setUrlAction(getUrlAction());
		des.setDescriptorFlag(getDescriptorFlag());
		des.setTypeFlag(getTypeFlag());
		des.getLogInformation().setActiveFlag(getActiveFlag());
		service.save(des);
		return SUCCESS;
	}

}