/*******************************************************************************
 * Copyright (c) 2004 BlueOxygen Technology.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the BlueOxygen Software License v1.0
 * which accompanies this distribution, and is available at
 *
 * Contributors:
 *     BlueOxygen Team - initial API and implementation
 *******************************************************************************/

package org.blueoxygen.cimande.descriptors.actions;

import org.blueoxygen.cimande.descriptors.Descriptor;


/*******************************
 * @author Praditya Eldorado
 * 		   aldo.donal@gmail.com
 *******************************/

public class EditDescriptorLoad extends DescriptorForm {
	public String execute() {

		Descriptor des = service.getDescriptorById(getId());

		rootModel = des;

		if (des == null) {
			addActionError("Cannot find such site");
			return ERROR;
		} else {
			setName(des.getName());
			setDescription(des.getDescription());
			setUrlDescriptor(des.getUrlDescriptor());
			setUrlAction(des.getUrlAction());
			setDescriptorFlag(des.getDescriptorFlag());
			setTypeFlag(des.getTypeFlag());
			setActiveFlag(des.getLogInformation().getActiveFlag());
		}
		return SUCCESS;
	}

}