/*******************************************************************************
 * Copyright (c) 2004 BlueOxygen Technology.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the BlueOxygen Software License v1.0
 * which accompanies this distribution, and is available at
 *
 * Contributors:
 *     BlueOxygen Team - initial API and implementation
 *******************************************************************************/

package org.blueoxygen.cimande.jobdescription.actions;

import org.blueoxygen.cimande.jobdescription.JobDesc;

/*******************************
 * @author Praditya Eldorado
 * 		   aldo.donal@gmail.com
 *******************************/

public class EditJobDescLoad extends JobDescForm {

	public String execute() {
		JobDesc job = service.getJobDescById(getId());

		model.put("jobdesc", job);

		if (job == null) {
			addActionError("Cannot find such jobiption");
			return ERROR;
		} else {

			setName(job.getName());
			setDescription(job.getDescription());

			return SUCCESS;
		}

	}

}