package org.blueoxygen.cimande.jobdescription.actions;

import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.jobdescription.service.JobdescriptionServis;
import org.blueoxygen.cimande.security.User;
import org.springframework.beans.factory.annotation.Autowired;

/*******************************
 * @author Praditya Eldorado
 * 		   aldo.donal@gmail.com
 *******************************/

public class JobDescForm extends CimandeAction {
	private User user = new User();

	private String id;
	private String name = "";
	private String description = "";
	private String workType = "";
	private int ActiveFlag = -1;
	protected @Autowired
	JobdescriptionServis service;

	public String execute() {
		user = getCurrentUser();

		if (user.getWorkspace_type().equalsIgnoreCase("flat")) {
			workType = "flat";
		} else {
			workType = "";
		}

		model.put("user", user);

		return SUCCESS;
	}

	public int getActiveFlag() {
		return ActiveFlag;
	}

	public void setActiveFlag(int activeFlag) {
		ActiveFlag = activeFlag;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public String getWorkType() {
		return workType;
	}

	public void setWorkType(String workType) {
		this.workType = workType;
	}

}
