/*******************************************************************************
 * Copyright (c) 2004 BlueOxygen Technology.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the BlueOxygen Software License v1.0
 * which accompanies this distribution, and is available at
 *
 * Contributors:
 *     BlueOxygen Team - initial API and implementation
 *******************************************************************************/

package org.blueoxygen.cimande.roleprivilage.actions;

import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.commons.LogInformation;
import org.blueoxygen.cimande.modulefunction.ModuleFunction;
import org.blueoxygen.cimande.role.Role;
import org.blueoxygen.cimande.roleprivilage.service.RolePrivilageService;

import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author Miftachur Rohman
 *
 */
public class RolePrivilageForm extends CimandeAction {
	
	protected LogInformation logInfo;
	protected String url_xml = "";
	protected int privilage_flag = -1;
	private int activeFlag = -1;
	protected ModuleFunction moduleFunction;
	protected String module_function_id = "";
	protected Role role;
	protected String role_id = "";
	
	protected @Autowired
	RolePrivilageService service;

	public int getActiveFlag() {
		return activeFlag;
	}

	public void setActiveFlag(int active_flag) {
		this.activeFlag = active_flag;
	}

	public LogInformation getLogInfo() {
		return logInfo;
	}

	public void setLogInfo(LogInformation logInfo) {
		this.logInfo = logInfo;
	}

	public ModuleFunction getModuleFunction() {
		return moduleFunction;
	}

	public void setModuleFunction(ModuleFunction moduleFunction) {
		this.moduleFunction = moduleFunction;
	}

	public int getPrivilage_flag() {
		return privilage_flag;
	}

	public void setPrivilage_flag(int privilage_flag) {
		this.privilage_flag = privilage_flag;
	}

	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}

	public String getUrl_xml() {
		return url_xml;
	}

	public void setUrl_xml(String url_xml) {
		this.url_xml = url_xml;
	}

	public String getModule_function_id() {
		return module_function_id;
	}

	public void setModule_function_id(String module_function_id) {
		this.module_function_id = module_function_id;
	}

	public String getRole_id() {
		return role_id;
	}

	public void setRole_id(String role_id) {
		this.role_id = role_id;
	}

}
