package org.blueoxygen.cimande.rolesite.service;

import java.util.List;
import org.blueoxygen.cimande.role.RoleSite;

/*******************************
 * @author Praditya Eldorado 
 *         aldo.donal@gmail.com
 *******************************/

public interface ServiceRoleSite {
	void save(RoleSite roleSite);

	void delete(RoleSite roleSite);

	RoleSite getRoleSiteById(String Id);

	List<RoleSite> getAllRoleSites(String orderby);

	List<RoleSite> findRoleSites(String role, String site, String orderby,
			int maxResults, int firstResult);

	List<RoleSite> findRoleSiteByRoleId(String roleId);

	List<RoleSite> findRoleSitesByField(String field, String value);

	int getRowCountByCriteria(String role, String site);

	List<RoleSite> getList(String roleId, int activeFlag);

	List<RoleSite> getLists(String parentId, String roleId, int activeflag);
}
