package org.blueoxygen.cimande.security.user.service;

import java.util.List;

import org.blueoxygen.cimande.security.Name;
import org.blueoxygen.cimande.security.User;

public interface UserService {
	void save(User user);

	void delete(User user);

	User getUserbyId(String id);

	List<User> getAllUsers();

	List<User> findUsersByField(String field, String value);

	List<User> findUsers(String username, String name, String email,
			String address, String city, String orderby, int maxResults,
			int firstResult);

	int getRowCountByCriteria(String username, String name);
}
