package org.blueoxygen.cimande.site.actions;

import java.util.List;

import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.site.Site;
import org.blueoxygen.cimande.site.service.SiteService;
import org.springframework.beans.factory.annotation.Autowired;

/*******************************
 * @author Praditya Eldorado 
 *         aldo.donal@gmail.com
 *******************************/

public class ListSite extends CimandeAction {

	private List<Site> sites;
	protected @Autowired
	SiteService service;

	public String execute() throws Exception {
		sites = service.getAllSites(ob.name());

		model.put("sitelist", sites);

		return SUCCESS;
	}

	public List<Site> getSites() {
		return sites;
	}

	public void setSites(List<Site> sites) {
		this.sites = sites;
	}

}
