/*******************************************************************************
 * Copyright (c) 2004 BlueOxygen Technology.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the BlueOxygen Software License v1.0
 * which accompanies this distribution, and is available at
 *
 * Contributors:
 *     BlueOxygen Team - initial API and implementation
 *******************************************************************************/

package org.blueoxygen.cimande.site.actions;

import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.site.Site;
import org.blueoxygen.cimande.site.service.SiteService;
import org.springframework.beans.factory.annotation.Autowired;

/*******************************
 * @author Praditya Eldorado
 * 		   aldo.donal@gmail.com
 *******************************/


public class ViewSite extends CimandeAction {

	protected Site site;
	private String id = "";
	protected @Autowired
	SiteService service;

	public String execute() {
		if (!id.equalsIgnoreCase("")) {
		site = service.getSiteById(getId());
			rootModel = site;
			return SUCCESS;
		} else {
			addActionError("Site not found");
			return ERROR;
		}
	}

	public void setId(String id) {
		this.id = id;
	}

	public Site getSite() {
		return site;
	}

	public String getId() {
		return id;
	}

	public void setSite(Site site) {
		this.site = site;
	}

}