/**
 * 
 */
package org.blueoxygen.cimande.sitemanager.yuitree;

import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.sitemanager.yuitree.treenode.TreeNodeFactory;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author Dian Aditya
 * 
 */
public class TreeGenerator extends CimandeAction {

	@Autowired
	private TreeNodeFactory treeNodeFactory;

	public String execute() throws Exception {
		String node = request.getParameter("node") + "";

		if (node.equalsIgnoreCase("") || node.equalsIgnoreCase("src")
				|| node.equalsIgnoreCase("null")) {
			rootModel = treeNodeFactory.getTreeNodes(getCurrentUser());
		} else {
			rootModel = treeNodeFactory.getTreeChild(node);
		}

		return SUCCESS;
	}
}
