var open = window.open;

window.open = function(url, optionalArg2, optionalArg3, optionalArg4) {
	var namespace = location.hash.substring(2, location.hash.lastIndexOf("/")) + "/";
	
	if (url.charCodeAt(0) != 47) {
		url = ajax.fullContextPath + namespace + url;
	}
	
	$('#dialogBox').remove();
	
	var dialog = document.createElement("div");
	dialog.setAttribute("id", "dialogBox");
	dialog.setAttribute("style", "overflow:auto;");
	
	$('body').append(dialog);
	
	jQuery.ajax({
		type : 'GET',
		url : url,
		success : function(data) {
			$('#dialogBox').empty().html(data);
			
			var title = $('#dialogBox').find('h3').text();
			$('#dialogBox').find('h3').remove();
			
			$('#dialogBox').dialog({
				modal : true,
				resizable : false,
				height : 300,
				width : 400,
				title : title
			});
			
			window.opener = window;
			
			window.close = function() {
				$('#dialogBox').dialog('destroy');
			};
		}
	});
};

$(function() {
	$('#col3_content').find('a').each(function() {
		var href = $(this).attr('href');
		var namespace = location.hash.substring(0, location.hash.lastIndexOf("/")) + "/";

		if (href.charCodeAt(0) != 47) {
			$(this).attr('href', namespace + href);
		}
	});
	
	$('#col3_content').find('style').each(function() {
		var href = $(this).attr('href');
		var namespace = location.hash.substring(2, location.hash.lastIndexOf("/")) + "/";

		if (href.charCodeAt(0) != 47) {
			$(this).attr('href', ajax.fullContextPath + namespace + href);
		}
	});
	
	$('#col3_content').find('script, img').each(function() {
		var href = $(this).attr('src');
		var namespace = location.hash.substring(2, location.hash.lastIndexOf("/")) + "/";

		if (href.charCodeAt(0) != 47) {
			$(this).attr('src', ajax.fullContextPath + namespace + href);
		}
	});
	
	$('#col3_content').find('form').submit(function() {
		var requestMethod = $(this).attr('method');
		var href = $(this).attr('action');
		var namespace = ajax.fullContextPath;
		namespace += location.hash.substring(2, location.hash.lastIndexOf("/")) + "/";
		
		if (href.charCodeAt(0) != 47) {
			href = namespace + href;
		}
		
		jQuery.ajax({
			type : requestMethod,
			data : $(this).serialize(),
			url : href,
			success : function(data) {
				data = data.replace(/<\/?link.*>/ig,""); //Remove link tags
				data = data.replace(/<\/?html.*>/ig,""); //Remove html tag
				data = data.replace(/<\/?body.*>/ig,""); //Remove body tag
				data = data.replace(/<\/?head.*>/ig,""); //Remove head tag
				data = data.replace(/<\/?!doctype.*>/ig,""); //Remove doctype
				data = data.replace(/<title.*>.*<\/title>/ig,""); // Remove title tag
				data += '<script type="text/javascript" src="' + ajax.fullContextPath + 'static/dynamicajax.js"></script>';
				
				$('#col3_content').empty().html(data);
			}
		});
		
		return false;
	});
});